For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve MariadbVersion

Returns the MariadbVersion by ID.

get
/versions/{versionId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
versionIdstring · uuidRequired

The ID (UUID) of the MariadbVersion.

Example: 28620dce-018a-5818-a827-aea8fbc8c1cf
Responses
200

Getting MariadbVersion was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the MariadbVersion.

Example: 28620dce-018a-5818-a827-aea8fbc8c1cf
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the MariadbVersion.

Example: /versions/28620dce-018a-5818-a827-aea8fbc8c1cf
metadataobject · NoMetadataRead-onlyRequired
get/versions/{versionId}
GET /v2/versions/{versionId} HTTP/1.1
Host: mariadb.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "28620dce-018a-5818-a827-aea8fbc8c1cf",
  "type": "mariadbversion",
  "href": "/versions/28620dce-018a-5818-a827-aea8fbc8c1cf",
  "metadata": {},
  "properties": {
    "version": "11.4",
    "status": "SUPPORTED",
    "comment": "text",
    "canUpgradeTo": [
      "11.8"
    ]
  }
}

Last updated

Was this helpful?